gnome-mplayer (1.0.9-3) unstable; urgency=medium

  * debian/patches/add-ogg-to-desktop.patch: List audio/ogg and video/ogg in
    desktop file. (Closes: #762565)
  * debian/gnome-mplayer.mine: Add video/ogg.
  * debian/control:
    - Bump Standards-Version to 3.9.6.
    - Drop kfreebsd-kernel-headers from B-D. It should not be needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 23 Sep 2014 12:55:19 +0200

gnome-mplayer (1.0.9-2) unstable; urgency=medium

  * Remove audio/mime from the list of supported mime types again. (Closes:
    #686762) (LP: #1005861)
    - debian/patches/remove-audio-midi-from-desktop.patch: Re-added patch that
      was dropped by accident.
    - debian/gnome-mplayer.mine: Remove audio/midi. Thanks to Raphaël Halimi.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Aug 2014 21:20:59 +0200

gnome-mplayer (1.0.9-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Update for new download location.
  * debian/control:
    - Bump Standards-Version.
    - Add xdg-utils to Recommends for xdg-screensaver.
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 12 Jun 2014 18:12:17 +0200

gnome-mplayer (1.0.8-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 06 Jun 2013 22:40:15 +0200

gnome-mplayer (1.0.8-1) experimental; urgency=low

  * New upstream release.
    - Fix key bindings for fullscreen mode. (Closes: #697540)
  * debian/control:
    - Add myself to Uploaders.
    - Use dh-autoreconf instead of autotools-dev. Also add libgconf2-dev to
      Build-Depends for gconf-2.m4.
    - Add libgda-5.0-dev to Build-Depends.
    - Bump Build-Dep on libmusicbrainz3-dev to >= 3.0.2-2.1 and drop
      unnecessary libdiscid0-dev and libneon27-gnutls-dev.
  * debian/copyright: Update copyright years.
  * debian/rules:
    - Run dh with --parallel and --with autoreconf.
  * debian/patches: Remove all patches, not needed anymore.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Mar 2013 19:19:27 +0100

gnome-mplayer (1.0.7-4) experimental; urgency=low

  * Team upload.
  * debian/patches/fallback-to-nonsymbolic.patch: Update upstream's fix once
    again and fix an incorrect icon. (Closes: #697538)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Jan 2013 00:20:13 +0100

gnome-mplayer (1.0.7-3) experimental; urgency=low

  * Team upload.
  * debian/patches:
    - fallback-to-nonsymbolic.patch: Update upstream's fix. (Closes: #696714)
    - option-album-image-fetch.patch: Refresh.
    - fix-gtk3-deprecation-warnings.patch: Fix deprecation warnings from
      GTK+ 3.
  * debian/control: Update Vcs-Browser field to make lintian happy.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 26 Dec 2012 13:42:22 +0100

gnome-mplayer (1.0.7-2) experimental; urgency=low

  * Team upload.
  * debian/control: Don't Build-Dep on libimobiledevice-dev on hurd-i386. It's
    not available there.
  * debian/patches:
    - fallback-to-nonsymbolic.patch: Update to use upstream's fix.
    - option-album-image-fetch.patch: Add option to disable downloading of
      album covers.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 22 Nov 2012 01:06:27 +0100

gnome-mplayer (1.0.7-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/patches:
    - remove-audio-midi-from-desktop.patch: Remove audio/mime from the list of
      supported mime types. mplayer doesn't support midi files, so
      gnome-mplayer doesn't either. (Closes: #686762) (LP: #1005861)
    - fix-errors-with-hardening-flags.patch: Removed, merged upstream.
    - fallback-to-nonsymbolic-icons.patch: If the icon theme doesn't support
      symbolic icons, fallback to hicolor icons.
  * debian/control:
    - Bump Build-Dep on libgmtk-dev to >= 1.0.7.
    - Don't Build-Dep on libgpod-dev on hurd-i386. It's not available there.
    - Bump Standards-Version to 3.9.4 (no changes required).
  * debian/copyright:
    - Update copyright years.
    - Add myself.
  * debian/rules: Build with verbose build output.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 17 Nov 2012 21:47:10 +0100

gnome-mplayer (1.0.6-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #658791)
  * debian/control:
    - Bump Build-Dep on libgmtk-dev to >= 1.0.6.
    - Bump Build-Dep on debhelper to >= 9.
    - Bump Standards-Version to 3.9.3 (no changes required).
    - Update Description to fix two lintian warnings.
  * debian/compat: Bump compat to 9 to get hardening build flags.
  * debian/patches: Add fix-errors-with-hardening-flags.patch to fix build
    error with hardening flags enabled.
  * debian/copyright: Update Format URL.
  * debian/rules: Build with -Wl,--as-needed to get rid of some dependencies.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Wed, 02 May 2012 11:36:25 +0200

gnome-mplayer (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Move to Debian Multimedia Maintainers.
  * Prefer mplayer2 over mplayer.
  * Switch to dh style, compat: 8.
  * Build with GTK+ 3.

 -- Aron Xu <aron@debian.org>  Thu, 12 Jan 2012 01:59:42 +0800

gnome-mplayer (1.0.4-2) unstable; urgency=low

  * Add gnome-power-manager to build-dep to resolve xscreensaver
    support issue.
  * Enable pulseaudio, remove Alsa.
  * Add mplayer2 as alternative Depends (Closes: #638280).
    Remove mplayer-nogui from list.
  * Add libimobiledevice-dev to build-dep to work around libgpod-dev
    issue (Closes: #642665)

 -- Aron Xu <aron@debian.org>  Sat, 10 Sep 2011 19:41:02 +0800

gnome-mplayer (1.0.4-1) unstable; urgency=low

  * New maintainer (Closes: #632653, #632536)
  * debian/control: 
    - Add libgpod-dev to build-dep, remove libgconf2-dev.
  * debian/rules:
    - Build with libgpod.
    - Build with gsettings intead of gconf2 (LP: #812142).
  * Remove useless README.Source.
  * Change to collab-maint Git repository.

 -- Aron Xu <aron@debian.org>  Fri, 15 Jul 2011 00:04:11 +0800

gnome-mplayer (1.0.4-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #620678)
  * debian/control: update to std-ver 3.9.2.
  * debian/compat: update to 7 from 5.

 -- Aron Xu <aron@debian.org>  Sun, 03 Jul 2011 09:50:49 +0800

gnome-mplayer (1.0.2-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #750832)
   - Doesn't display an error message about VDPAU backend (LP: #712348).
   - Rework of the Volume control (LP: #695354, #599758)
  * debian/patches/90_fallback_xscrnsaversuspend.patch:
   - Merged upstream.

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 10 Apr 2011 23:30:39 +0200

gnome-mplayer (1.0.0-0ubuntu1) natty; urgency=low

  [ Cesare Tirabassi ]
  * Updated watch file in line with new google code standard
    (thanks D. Leidert).

  [ Julien Lavergne ]
  * New upstream release (LP: #709543)
   - Fix embedded fonts (LP: #655469)
  * debian/source/format
   - Convert to 3.0 format
  * debian/patches/90_fallback_xscrnsaversuspend.patch:
   - From upstream, fallback to using XScrnSaverSuspend if the call to
     GnomeSessionManager/ScreenSaver fails.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 14 Feb 2011 22:18:10 +0100

gnome-mplayer (0.9.9.2-1) unstable; urgency=low

  * Point fix release:
    - Handle aspect change during video playback (LP: #521526)
    - Fix problem with shoutcast playlists not autostarting
    - Fix warning about invalid list iter
    - Implement more accurate seeking using position tracker
    - Add album art lookup for some shoutcast stations
    - Many translation updates and additional languages

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sat, 27 Feb 2010 17:04:42 +0100

gnome-mplayer (0.9.9-1) unstable; urgency=low

  * New upstream release (LP: #449460, LP: #448774, LP: #489064, LP: #489191):
    - Volume and window size fixes (Closes: #566741)
    - Apple.com support
    - DVD device selection from Preferences
    - Fix flickering in gtk 2.18 and higher
  * Explicitly add libx11-dev as a Build-Depends (Closes: #554656)
  * Make libasound2-dev Linux-only in Build-Depends
  * Use --with-alsa and --with-flat-volume configure flags only
    for Linux builds
  * Add video/x-mng in mime list
  * Add libxss-dev as a Build-Depends
  * Removed all patches, now applied upstream
  * No change bump of Standards-Version

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sat, 06 Feb 2010 11:43:44 +0100

gnome-mplayer (0.9.8-1) unstable; urgency=low

  * New upstream bug-fix only release (LP: #420546)
  * Remove all previous patches, now applied upstream
  * Add --with-flat-volume flag to configure call
  * Add patches/updated_el_translation.patch:
    Update last greek translations from launchpad
  * Add patches/fix_gtk2.14_ftbfs.patch:
    Add GTK2.14 compile defs to gtk_widget_get_window; useful for backports
    Change minimum required libgtk version back to 2.12.0
  * Add README.source since the package uses quilt as a patch management
    system.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sun, 20 Sep 2009 10:28:57 +0200

gnome-mplayer (0.9.7-1) unstable; urgency=low

  * New upstream release (Closes: #536008, #522585, #522588):
    - new tracker for monitoring media progress
    - better subtitle support
    - new screen redraw code for video
    - new playlist randomizer, sorting and searching options
    - new icons
    - internal ASX parser
  * Package is now Lintian clean
  * No change bump of Standards-Version to 3.8.3
  * Add mime file to associate media filetypes to gnome-mplayer (LP: #405963)
  * Change deprecated dh_clean -k to dh_prep (requires debhelper > 7)
  * Install upstream man page
  * Change debian menu icon in line with upstream icon change
  * Remove patch avoid_libtool.patch, now applied upstream
  * Add patch override_version_checks.patch:
    Override the pulseaudio and gnome-power-manager test from upstream
  * Add --with-gpm-new-method in debian/rules
  * Improve the short/long descriptions
  * Add Suggests on gecko-mediaplayer

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 21 Aug 2009 10:49:16 +0200

gnome-mplayer (0.9.6-1) unstable; urgency=low

  * New upstream release:
    - new media tracker and audio meter
    - new key "use_pulse_flat_volume" to be set if you are using
      Pulse Audio 0.9.15 (see /usr/share/doc/gnome-mplayer/NEWS.Debian.gz
      and /usr/share/doc/gnome-mplayer/changelog.gz for additional info)
    - workaround for opening files on smb shares (LP: #369426)
    - prevent adding an "empty" filename to the playlist (LP: #348864)
    - add new --large_buttons and --always_hide_after_timeout command
      line options to man page
    - update debian/copyright with the newly added upstream source files
    - upstream is now widely using libtool, which is causing rpath and
      dependencies issues. libtool is really not needed for such a simple
      case so it has been patched out in favour of static linking:
      + updated debian/patches/avoid_libtool.patch to patch configure.in
        and Makefile.am instead of directly Makefile.in
      + debian/rules:
        - patch is now applied in the configure target
        - add aclocal/autoconf/automake calls in the configure target
      + debian/control:
        add autoconf and automake as Build-Depends
    - add debian/NEWS
  * Update debian/copyright in line with updated proposal specification
  * Add patch description to avoid_libtool.patch (thanks lintian)
  * Remove deprecated dh_desktop call
  * Use new dh_quilt_patch and dh_quilt_unpatch commands
  * No change bump of Standards-Version to 3.8.1
  * Changed Section to video (and debug for the dbg binary), in line
    with the new sections recently added to the Debian archive
  * Use LDFLAGS=-Wl,--as-needed instead of specifying manually all libraries

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sat, 06 Jun 2009 19:49:50 +0200

gnome-mplayer (0.9.5-1) unstable; urgency=low

  [Cesare Tirabassi]
  * New upstream release:
    - add --enable-nautilus=no in debian/rules
    - re-add quilt
    - add debian/patches/avoid_libtool.patch: avoid linking using libtool

  [Reinhard Tartler]
  * debian/rules:
    replace copy of up-to-date config.{sub/guess} with symlinks

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Wed, 25 Mar 2009 13:22:08 +0100

gnome-mplayer (0.9.4-1) unstable; urgency=low

  * New upstream release (LP: #325509):
    - add new --showsubtitles command line options to man page
  * Remove quilt to keep lintian happy.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 06 Feb 2009 20:05:02 +0100

gnome-mplayer (0.9.3-1) unstable; urgency=low

  * New upstream release (LP: #303905):
    - add new --fullscreen command line options to man page
  * Add Vcs-* fields to debian/control.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sat, 03 Jan 2009 09:41:24 +0100

gnome-mplayer (0.9.2-1) unstable; urgency=low

  * New upstream release:
    - add --with-alsa in debian/rules
    - add --with-libmusicbrainz3 in debian/rules
    - add libmusicbrainz3-dev, libneon27-gnutls-dev,
      libdiscid0-dev and libcurl4-gnutls-dev as build-deps in debian/control
    - add MUSICBRAINZ_LIBS environment variable in debian/rules
    - add new --mixer and --disable_cover_art_fetch command line
      options to man page

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 21 Nov 2008 18:42:00 +0100

gnome-mplayer (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sun, 02 Nov 2008 16:44:02 +0100

gnome-mplayer (0.9.0-1) unstable; urgency=low

  * New upstream release (LP: #285988):
    - add --with-gio, --with-libnotify and --with-gconf flags in debian/rules
    - add --disable-schemas-install to configure call in debian/rules and add
      installation of schema file in debian/install
    - add libnotify-dev as Build-Depends in debian/control
    - format Build-Depends line in debian/control
    - remove avoid_libtool.patch, finally applied upstream
  * Explicitly pass all libraries through environment variables to avoid
    linking against unneeded libraries.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 31 Oct 2008 21:55:22 +0100

gnome-mplayer (0.8.0-1) unstable; urgency=low

  * New upstream release:
    - add --showdetails, --replace_and_play, --new_instance and --keep_on_top
      line options in man page.
  * debian/rules: add configure to list of PHONY targets.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Mon, 29 Sep 2008 21:53:14 +0200

gnome-mplayer (0.7.0-1) unstable; urgency=low

  * New upstream release (Closes: #494322):
    - debian/control:
      + add libasound2-dev as a Build-Depends
      + add required version for pkg-config (>= 0.20)
    - remove patch fix-desktop-kde.patch now applied upstream
    - add --single_instance command line option in man page
  * Fix the package failing to build if built twice in a row (Closes: #493241)
  * Link only against needed libraries (Closes: #495094):
    - explicitly pass libraries through the GTK_LIBS environment variable
  * Remove libtool usage for linking:
    - debian/patches/avoid_libtool.patch: avoid linking using libtool
    - debian/rules: remove call to chrpath
    - debian/control: remove B-D on chrpath
  * Modify debian/rules to patch before configure call
  * Removed unused dh_installdir call in debian/rules

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 15 Aug 2008 21:17:50 +0200

gnome-mplayer (0.6.3-2) unstable; urgency=low

  * Fix the package failing to build if built twice in a row
    (Closes: #493241)

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 01 Aug 2008 16:11:55 +0200

gnome-mplayer (0.6.3-1) unstable; urgency=low

  * Initial release (Closes: #415381)

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Wed, 02 Jul 2008 15:21:38 +0200
